GCLOUD_COMPUTE_NETWORKS_SUBNETS_LIST(1)

NAME

gcloud compute networks subnets list - list Google Compute Engine subnetworks

SYNOPSIS

gcloud compute networks subnets list [NAME ...] [--network NETWORK] [--regexp REGEXP, -r REGEXP] [--regions REGION,[REGION,...]] [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--page-size PAGE_SIZE] [--sort-by FIELDS] [--uri] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute networks subnets list displays all Google Compute Engine subnetworks in a project. By default, subnetworks from all regions are listed. The results can be narrowed down by providing the --regions flag.

POSITIONAL ARGUMENTS
[NAME ...]
    If provided, show details for the specified names and/or URIs of resources.

FLAGS
--network NETWORK
    Only show subnetworks of a specific network.
--regexp REGEXP, -r REGEXP
    A regular expression to filter the names of the results on. Any names that do not match the entire regular expression will be filtered out.
--regions REGION,[REGION,...]
    If provided, only resources from the given regions are queried.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--page-size PAGE_SIZE
    Some services group resource list output into pages. This flag specifies the maximum number of resources per page. The default is determined by the service if it supports paging, otherwise it is unlimited (no paging). Paging may be applied before or after --filter and --limit depending on the service.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.
--uri
    Print a list of resource URIs instead of the default output.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To list all subnetworks in a project in table form, run:
    $ gcloud compute networks subnets list
To list the URIs of all subnetworks in a project, run:
    $ gcloud compute networks subnets list --uri
To list all subnetworks in the us-central1 and europe-west1 regions, run:
    $ gcloud compute networks subnets list --regions us-central1 \
        europe-west1